## pythoncard 0.8.2

=== debian/changelog ===
pythoncard (0.8.2-5) unstable; urgency=medium

  * QA upload.
  * Apply patch from paultag to eliminate use of string exceptions, which
    Python no longer supports.  (Closes: #585323)
  * Fix "ValueError: invalid \x escape" with jabberChat.  (Closes: #580267)
  * Fix codeEditor, resourceEditor and findfiles wrapper scripts so they
    actually find the python scripts they are supposed to run.
  * Update to depend on python-wxgtk3.0 rather than python-wxgtk2.8.
  * Update to source format "3.0 (quilt)".
  * Update to debhelper compat level 9.
  * Drop Conflicts+Replaces on ancient python2.3-pythoncard, which is no
    longer in the archive at all.
  * "Standards-Version: 3.9.5":
    + debian/rules: Add build-arch and build-indep targets.
  * Fix 'executable-not-elf-or-script' lintian warnings.
  * Fix 'command-with-path-in-maintainer-script' lintian warning.

 -- Olly Betts <olly@survex.com>  Thu, 07 Aug 2014 22:10:58 +1200

pythoncard (0.8.2-4) unstable; urgency=medium

  * QA upload.
  * Build using dh_python2

 -- Matthias Klose <doko@debian.org>  Sun, 13 Jul 2014 16:10:10 +0000

pythoncard (0.8.2-3) unstable; urgency=low

  * QA upload.
  * debian/rules:
     - Remove obsolete dh_python call (Closes: #715308).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 13 Jul 2013 15:40:45 +0200

pythoncard (0.8.2-2) unstable; urgency=low

  * QA upload.
  * debian/control: Update dependency on python-wxgtk2.6 to python-wxgtk2.8.
    The code doesn't use the wxversion module to say what version of wx it
    needs, so it will already get run with 2.8 if both versions are installed
    and the user hasn't changed the alternative setting from the default.
  * README.Debian: Remove incorrect statement that the package is built only
    for Python 2.3.

 -- Olly Betts <olly@survex.com>  Mon, 17 Oct 2011 00:38:19 +0000

pythoncard (0.8.2-1) unstable; urgency=low

  * QA upload.
  * New upstream release
  * debian/control
    - set maintainer to QA group
    - set Homepage field, removing the URL from packages description
    - bump versioned b-d-i on python-support, to properly support Python module
    - replace b-d on python-all-dev with python-all, since building only
      arch:all packages
    - replace Source-Version substvar with source:Version
    - add ${misc:Depends} to binary packages Depends
  * debian/watch
    - updated to use the SourceForge redirector; thanks to Raphael Geissert for
      the report and to Dario Minnucci for the patch; Closes: #449904
  * debian/{pythoncard-doc, python-pythoncard}.install
    - use wildcards instead of site-packages to fix build with python 2.6;
      thanks to Ilya Barygin for the report and patch; Closes: #572332
  * debian/pythoncard-doc.doc-base
    - set section to Programmin/Python
  * debian/pythoncard-tools.menu
    - set menu main section to Applications
  * debian/pythoncard-tools.postinst
    - removed, needed only to update the menu, but it's now created by debhelper

 -- Sandro Tosi <morph@debian.org>  Thu, 04 Mar 2010 23:55:10 +0100

pythoncard (0.8.1-8.4) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on python-all-dev (>= 2.5.4) for python.mk.

 -- Kumar Appaiah <akumar@debian.org>  Mon, 19 Oct 2009 17:57:10 -0500

pythoncard (0.8.1-8.3) unstable; urgency=low

  * Non-maintainer upload.
  * Changes for upcoming Python 2.6 transition (closes: #547840):
    + debian/rules:
      - Conditionally import /usr/share/python/python.mk file.
      - Pass ${py_setup_install_args} to setup.py install call.
      - Use wildcards when removing files.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 12 Oct 2009 20:24:08 +0200

pythoncard (0.8.1-8.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/findfiles, debian/codeEditor, debian/resourceEditor:
    - Do not rely on python-support internals, search for directories
      dynamically by looking at module path instead (Closes: #517060).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 12 Sep 2009 17:39:58 +0200

pythoncard (0.8.1-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix path to findfiles, codeEditor and resourceEditor:
     + patch from Ernest ter Kuile <ernestjw@xs4all.nl>. (Closes: #397018)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sun, 12 Nov 2006 17:52:13 +0100

pythoncard (0.8.1-8) unstable; urgency=low

  * New maintainer (closes: #375610).

 -- Ernesto Nadir Crespo Avila <ecrespo@debianvenezuela.org>  Fri, 28 Jul 2006 22:50:57 -0400
 

pythoncard (0.8.1-7) unstable; urgency=low

  * QA upload.
  * Don't depend on removed python2.3-pythoncard. 

 -- Luk Claes <luk@debian.org>  Thu,  6 Jul 2006 18:32:41 +0200

pythoncard (0.8.1-6) unstable; urgency=low

  * QA upload.
  * Update Package to the last python policy (Closes: #373370).
  * Fix -tools shell script wrappers.

 -- Pierre Habouzit <madcoder@debian.org>  Sat,  1 Jul 2006 13:14:36 +0200

pythoncard (0.8.1-5) unstable; urgency=low

  * Orphaning package.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 15 Jun 2006 20:57:01 -0500

pythoncard (0.8.1-4) unstable; urgency=low

  * Removed debian/NEWS, which I was not using properly anyway.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed,  1 Feb 2006 21:05:54 -0600

pythoncard (0.8.1-3) unstable; urgency=low

  * Rebuild against python-wxgtk2.6 (closes: #313479, closes: #324801).
  * Bump Standards-Version to 3.6.2 (no packaging changes).
  * Removed obsolete notes about $PYTHONPATH requirements from README.Debian.
  * Placed menu files in /usr/share/menu instead of /usr/lib/menu per policy.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri,  2 Sep 2005 18:40:46 +0000

pythoncard (0.8.1-2) unstable; urgency=low

  * Fix dependency glitches (closes: #298667).
    - Interdepencies between binary packages were not tight enough.
    - Add (= ${Source-Version}) to force packages to be upgraded together.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 12 Mar 2005 13:26:24 -0600


