=== debian/control ===
Source: pythoncard
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9), python-all (>= 2.5.4)
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.5
XS-Python-Version: all
Homepage: http://pythoncard.sourceforge.net/

Package: pythoncard
Architecture: all
Section: devel
Depends: python-pythoncard (= ${source:Version}), pythoncard-tools (= ${source:Version}), pythoncard-doc (= ${source:Version}), ${misc:Depends}
Description: wxPython-based GUI construction framework (meta-package)
 PythonCard is a GUI construction framework for building cross-platform desktop
 applications on Windows, Mac OS X, and Linux, using the Python language.  It
 is based on the wxPython bindings for the wxWidgets toolkit (formerly known
 as wxWindows).
 .
 This is a meta-package which is intended to be used by developers who want the
 entire upstream distribution available to them.  Maintainers of other packages
 that rely on PythonCard functionality should consider depending on one or more
 of the related packages (python-pythoncard, pythoncard-tools) as needed instead
 of this meta-package.

Package: pythoncard-tools
Architecture: all
Section: devel
Depends: python-pythoncard (= ${source:Version}), ${misc:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: wxPython-based GUI construction framework (optional development tools)
 PythonCard is a GUI construction framework for building cross-platform desktop
 applications on Windows, Mac OS X, and Linux, using the Python language.  It
 is based on the wxPython bindings for the wxWidgets toolkit (formerly known
 as wxWindows).
 .
 This package takes the tools that are part of the PythonCard distribution
 (such as codeEditor and resourceEditor) and makes them available to be called
 from the command-line and from the standard Debian menus.  It has been split
 out as a separate package since only developers will need access to the tools
 directly - packages which depend on PythonCard will just import the tool
 modules and use what they need.

Package: pythoncard-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: wxPython-based GUI construction framework (documentation and samples)
 PythonCard is a GUI construction framework for building cross-platform desktop
 applications on Windows, Mac OS X, and Linux, using the Python language.  It
 is based on the wxPython bindings for wxWidgets toolkit (formerly known
 as wxWindows).
 .
 This package provides all of the developer documentation and samples
 associated with the upstream package.

Package: python-pythoncard
Architecture: all
Section: python
Depends: ${python:Depends}, python-wxgtk3.0, ${misc:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Suggests: pythoncard-tools, pythoncard-doc
Description: wxPython-based GUI construction framework (underlying Python libraries)
 PythonCard is a GUI construction framework for building cross-platform desktop
 applications on Windows, Mac OS X, and Linux, using the Python language.  It
 is based on the wxPython bindings for the wxWidgets toolkit (formerly known
 as wxWindows).
 .
 This package includes the PythonCard Python package and all of its associated
 Python modules.
