=== debian/watch ===
version=3
http://sf.net/pythoncard/PythonCard-(.+)\.tar\.gz
